//========================================================================================
//
//	File:				FWAPulDM.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWPULLDM_H
#include "FWPullDM.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment fwmenu
#endif

//========================================================================================
//	class FW_CPullDownMenu
//========================================================================================

const FW_ClassTypeConstant FW_LPullDownMenu = FW_TYPE_CONSTANT('p','d','m','n');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LPullDownMenu, FW_CPullDownMenu, FW_CPullDownMenu::Create, FW_CPullDownMenu::InitializeFromArchive, FW_CPullDownMenu::Destroy, FW_CPullDownMenu::Write)

//----------------------------------------------------------------------------------------
//	FW_CPullDownMenu::Create
//----------------------------------------------------------------------------------------

void* FW_CPullDownMenu::Create(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
FW_UNUSED(stream);
	return ::operator new(sizeof(FW_CPullDownMenu));
}

//----------------------------------------------------------------------------------------
//	FW_CPullDownMenu::InitializeFromArchive
//----------------------------------------------------------------------------------------

void FW_CPullDownMenu::InitializeFromArchive(FW_CReadableStream& stream, FW_ClassTypeConstant type, void* object)
{
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	new (object) FW_CPullDownMenu(ev, stream);
}

//----------------------------------------------------------------------------------------
//	FW_CPullDownMenu::Destroy
//----------------------------------------------------------------------------------------

void	FW_CPullDownMenu::Destroy(void* object, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	::operator delete(object);
}

//----------------------------------------------------------------------------------------
//	FW_CPullDownMenu::Write
//----------------------------------------------------------------------------------------

void FW_CPullDownMenu::Write(FW_CWritableStream& stream, FW_ClassTypeConstant type, const void *object)
{
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	((FW_CPullDownMenu*) object)->Flatten(ev, stream);
}

